# org.pdfclown.documents.interaction.actions.GoToEmbedded Class Reference

'Change the view to a specified destination in a PDF file embedded in another PDF file' action [PDF:1.6:8.5.3]. More...

List of all members.

## Classes
class | PathElement
| Path information to the target document [PDF:1.6:8.5.3]. More...
## Public Member Functions
| GoToEmbedded (Document context, FileSpecification destinationFile, PathElement destinationPath, Destination destination)
| Creates a new instance within the specified document context.
| GoToEmbedded (Document context, FileSpecification destinationFile, Destination destination)
| Creates a new instance within the specified document context, pointing to a destination within another document.
| GoToEmbedded (Document context, PathElement destinationPath, Destination destination)
| Creates a new instance within the specified document context, pointing to a destination within an embedded document.
## Properties
PathElement | DestinationPath`[get, set]`
| Gets/Sets the path information to the target document.

##

'Change the view to a specified destination in a PDF file embedded in another PDF file' action [PDF:1.6:8.5.3].

## Constructor & Destructor Documentation

org.pdfclown.documents.interaction.actions.GoToEmbedded.GoToEmbedded | ( | Document | context,
|  | PathElement | destinationPath,
|  | Destination | destination |
| ) |  |  |

Creates a new instance within the specified document context, pointing to a destination within an embedded document.

Parameters:

  | context | Document context.
  | destinationPath | Path information to the target document within the destination file.
  | destination | Destination within the target document.

org.pdfclown.documents.interaction.actions.GoToEmbedded.GoToEmbedded | ( | Document | context,
|  | FileSpecification | destinationFile,
|  | Destination | destination |
| ) |  |  |

Creates a new instance within the specified document context, pointing to a destination within another document.

Parameters:

  | context | Document context.
  | destinationFile | File in which the destination is located.
  | destination | Destination within the target document.

org.pdfclown.documents.interaction.actions.GoToEmbedded.GoToEmbedded | ( | Document | context,
|  | FileSpecification | destinationFile,
|  | PathElement | destinationPath,
|  | Destination | destination |
| ) |  |  |

Creates a new instance within the specified document context.

Parameters:

  | context | Document context.
  | destinationFile | File in which the destination is located.
  | destinationPath | Path information to the target document within the destination file.
  | destination | Destination within the target document.

## Property Documentation

PathElement org.pdfclown.documents.interaction.actions.GoToEmbedded.DestinationPath`[get, set]`

Gets/Sets the path information to the target document.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.